Package org.silverpeas.components.projectmanager.model

# Class TaskDetail

java.lang.Object
org.silverpeas.components.projectmanager.model.TaskDetail

All Implemented Interfaces:
  `Serializable`

public class TaskDetail extends Object implements Serializable

Author:
  neysseri
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TaskDetail.TaskDetailBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CANCELLED`
  `static final int`
  `COMPLETE`
  `static final int`
  `IN_ALERT`
  `static final int`
  `IN_PROGRESS`
  `static final int`
  `NOT_STARTED`
  `static final int`
  `STOPPED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.silverpeas.core.contribution.model.Contribution`
  `asContribution()`
  `static TaskDetail.TaskDetailBuilder`
  `builder()`
  `List<org.silverpeas.core.contribution.attachment.model.SimpleDocument>`
  `getAttachments()`
  `int`
  `getAvancement()`
  `float`
  `getCharge()`
  `int`
  `getChrono()`
  `String`
  `getCodeProjet()`
  `float`
  `getConsomme()`
  `String`
  `getContributionType()`
  `Date`
  `getDateDebut()`
  `Date`
  `getDateFin()`
  `String`
  `getDescription()`
  `String`
  `getDescriptionProjet()`
  `int`
  `getEstDecomposee()`
  `int`
  `getId()`
  `String`
  `getInstanceId()`
  `int`
  `getLevel()`
  `int`
  `getMereId()`
  `String`
  `getNom()`
  `String`
  `getOrganisateurFullName()`
  `int`
  `getOrganisateurId()`
  `String`
  `getPath()`
  `int`
  `getPreviousTaskId()`
  `String`
  `getPreviousTaskName()`
  `float`
  `getRaf()`
  `Collection<TaskResourceDetail>`
  `getResources()`
  `static String`
  `getResourceType()`
  The type of this resource
  `String`
  `getResponsableFullName()`
  `int`
  `getResponsableId()`
  `int`
  `getStatut()`
  `String`
  `getUiCodeProjet()`
  `String`
  `getUiDateDebut()`
  `String`
  `getUiDateDebutPlus1()`
  `String`
  `getUiDateFin()`
  `String`
  `getUiDescription()`
  `String`
  `getUiDescriptionProjet()`
  `boolean`
  `isDeletionAvailable()`
  `boolean`
  `isUnfold()`
  `boolean`
  `isUpdateAvailable()`
  `void`
  `setAttachments(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> vector)`
  `void`
  `setCharge(float f)`
  `void`
  `setCharge(String f)`
  `void`
  `setChrono(int i)`
  `void`
  `setCodeProjet(String i)`
  `void`
  `setConsomme(float f)`
  `void`
  `setConsomme(String f)`
  `void`
  `setDateDebut(Date string)`
  `void`
  `setDateFin(Date string)`
  `void`
  `setDeletionAvailable(boolean b)`
  `void`
  `setDescription(String string)`
  `void`
  `setDescriptionProjet(String string)`
  `void`
  `setEstDecomposee(int i)`
  `void`
  `setId(int i)`
  `void`
  `setInstanceId(String string)`
  `void`
  `setLevel(int i)`
  `void`
  `setMereId(int i)`
  `void`
  `setNom(String string)`
  `void`
  `setOrganisateurFullName(String string)`
  `void`
  `setOrganisateurId(int i)`
  `void`
  `setOrganisateurId(String s)`
  `void`
  `setPath(String string)`
  `void`
  `setPreviousTaskId(int i)`
  `void`
  `setPreviousTaskName(String string)`
  `void`
  `setRaf(float f)`
  `void`
  `setRaf(String f)`
  `void`
  `setResourceIds(Collection<TaskResourceDetail> resources)`
  `void`
  `setResources(Collection<TaskResourceDetail> resources)`
  `void`
  `setResponsableFullName(String string)`
  `void`
  `setResponsableId(int i)`
  `void`
  `setStatut(int i)`
  `void`
  `setUiDateDebut(String string)`
  `void`
  `setUiDateDebutPlus1(String string)`
  `void`
  `setUiDateFin(String string)`
  `void`
  `setUnfold(boolean b)`
  `void`
  `setUpdateAvailable(boolean b)`
  `String`
  `toString()`
  `org.silverpeas.core.personalorganizer.model.TodoDetail`
  `toTodoDetail()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### IN_PROGRESS

    public static final int IN_PROGRESS
    See Also:
      - Constant Field Values

  - ### STOPPED

    public static final int STOPPED
    See Also:
      - Constant Field Values

  - ### CANCELLED

    public static final int CANCELLED
    See Also:
      - Constant Field Values

  - ### COMPLETE

    public static final int COMPLETE
    See Also:
      - Constant Field Values

  - ### IN_ALERT

    public static final int IN_ALERT
    See Also:
      - Constant Field Values

  - ### NOT_STARTED

    public static final int NOT_STARTED
    See Also:
      - Constant Field Values

- ## Method Details

  - ### builder

    public static TaskDetail.TaskDetailBuilder builder()

  - ### getAvancement

    public int getAvancement()

  - ### getCharge

    public float getCharge()

  - ### getChrono

    public int getChrono()

  - ### getCodeProjet

    public String getCodeProjet()

  - ### getConsomme

    public float getConsomme()

  - ### getDateDebut

    public Date getDateDebut()

  - ### getDateFin

    public Date getDateFin()

  - ### getDescription

    public String getDescription()

  - ### getDescriptionProjet

    public String getDescriptionProjet()

  - ### getEstDecomposee

    public int getEstDecomposee()

  - ### getId

    public int getId()

  - ### getInstanceId

    public String getInstanceId()

  - ### getMereId

    public int getMereId()

  - ### getNom

    public String getNom()

  - ### getOrganisateurId

    public int getOrganisateurId()

  - ### getRaf

    public float getRaf()

  - ### getResponsableId

    public int getResponsableId()

  - ### getResources

    public Collection<TaskResourceDetail> getResources()

  - ### setResources

    public void setResources(Collection<TaskResourceDetail> resources)

  - ### getStatut

    public int getStatut()

  - ### setCharge

    public void setCharge(float f)
    Parameters:
      `f` -

  - ### setCharge

    public void setCharge(String f)

  - ### setChrono

    public void setChrono(int i)

  - ### setCodeProjet

    public void setCodeProjet(String i)

  - ### setConsomme

    public void setConsomme(float f)

  - ### setConsomme

    public void setConsomme(String f)

  - ### setDateDebut

    public void setDateDebut(Date string)

  - ### setDateFin

    public void setDateFin(Date string)

  - ### setDescription

    public void setDescription(String string)

  - ### setDescriptionProjet

    public void setDescriptionProjet(String string)

  - ### setEstDecomposee

    public void setEstDecomposee(int i)

  - ### setId

    public void setId(int i)

  - ### setInstanceId

    public void setInstanceId(String string)

  - ### setMereId

    public void setMereId(int i)

  - ### setNom

    public void setNom(String string)

  - ### setOrganisateurId

    public void setOrganisateurId(int i)

  - ### setOrganisateurId

    public void setOrganisateurId(String s)

  - ### setRaf

    public void setRaf(float f)

  - ### setRaf

    public void setRaf(String f)

  - ### setResponsableId

    public void setResponsableId(int i)

  - ### setStatut

    public void setStatut(int i)

  - ### getPath

    public String getPath()

  - ### setPath

    public void setPath(String string)

  - ### toTodoDetail

    public org.silverpeas.core.personalorganizer.model.TodoDetail toTodoDetail()

  - ### setResourceIds

    public void setResourceIds(Collection<TaskResourceDetail> resources)

  - ### getResponsableFullName

    public String getResponsableFullName()

  - ### setResponsableFullName

    public void setResponsableFullName(String string)

  - ### getUiDateDebut

    public String getUiDateDebut()

  - ### getUiDateFin

    public String getUiDateFin()

  - ### setUiDateDebut

    public void setUiDateDebut(String string)

  - ### setUiDateFin

    public void setUiDateFin(String string)

  - ### getUiCodeProjet

    public String getUiCodeProjet()

  - ### getUiDescriptionProjet

    public String getUiDescriptionProjet()

  - ### getUiDescription

    public String getUiDescription()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getOrganisateurFullName

    public String getOrganisateurFullName()

  - ### setOrganisateurFullName

    public void setOrganisateurFullName(String string)

  - ### getAttachments

    public List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> getAttachments()

  - ### setAttachments

    public void setAttachments(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> vector)

  - ### isUnfold

    public boolean isUnfold()

  - ### setUnfold

    public void setUnfold(boolean b)

  - ### getLevel

    public int getLevel()

  - ### setLevel

    public void setLevel(int i)

  - ### isDeletionAvailable

    public boolean isDeletionAvailable()

  - ### isUpdateAvailable

    public boolean isUpdateAvailable()

  - ### setDeletionAvailable

    public void setDeletionAvailable(boolean b)

  - ### setUpdateAvailable

    public void setUpdateAvailable(boolean b)

  - ### getPreviousTaskId

    public int getPreviousTaskId()

  - ### setPreviousTaskId

    public void setPreviousTaskId(int i)

  - ### getUiDateDebutPlus1

    public String getUiDateDebutPlus1()

  - ### setUiDateDebutPlus1

    public void setUiDateDebutPlus1(String string)

  - ### getPreviousTaskName

    public String getPreviousTaskName()

  - ### setPreviousTaskName

    public void setPreviousTaskName(String string)

  - ### getContributionType

    public String getContributionType()

  - ### getResourceType

    public static String getResourceType()
    The type of this resource
    Returns:
      the same value returned by getContributionType()

  - ### asContribution

    public org.silverpeas.core.contribution.model.Contribution asContribution()